=== debian/changelog ===
tulip (4.7.0dfsg-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 04 Aug 2015 11:43:50 +0100

tulip (4.7.0dfsg-1) unstable; urgency=medium

  * New upstream release.
    * New thirdparty lib QtAwesome, adding to debian/copyright.
  * Filtered fontawesome-webfont.ttf from dfsg package, removed it from
    the list of files to be installed.
  * Replace installed fontawesome-webfont.ttf with a symlink, depend on
    fonts-font-awesome accordingly.
  * Switch to Qt5 (Closes: #784533).
  * Fixed wrong description of libtulip-python package.
  * Some rewording of debian/README.maint.
  * Reworked debian/copyright using License clauses.

 -- Yann Dirson <dirson@debian.org>  Wed, 20 May 2015 20:21:23 +0200
